//****************************************************************************
// Copyright (C) 2001,2002,2003,2004  PEAK System-Technik GmbH
//
// linux@peak-system.com
// www.peak-system.com
//
// This part of software is proprietary. It is *not* allowed to
// distribute it. No warranty at all is given.
//
// Maintainer(s): Klaus Hitschler (klaus.hitschler@gmx.de)
//****************************************************************************

//****************************************************************************
//
// cobf.h - obfuscation header
//
// $Log: cobf.h,v $
// Revision 1.18  2004/10/24 21:17:33  klaus
// release_20041024, timeout in urb_t removed up from kernel 2.6.9
//
// Revision 1.17  2004/09/14 17:57:40  klaus
// Released release_20040915_x
//
// Revision 1.16  2004/09/14 17:53:03  klaus
// Take real names for pcan_hw_X and pcan_hw_Y
//
// Revision 1.15  2004/07/18 14:16:16  klaus
// accept or transmitt DLC while ignoring data content when RTR data
//
// Revision 1.14  2004/05/13 15:32:58  klaus
// devfs is depreciated, moved handling from Makefile to pcan_common.h
//
// Revision 1.13  2004/05/06 18:48:10  klaus
// Improvements triggered by Mandrake distribution 2.6.3-7mdk: MODULE_VERSION macro
//
// Revision 1.12  2004/05/02 15:56:51  klaus
// Last corrections and improvements, especially for Makefile(s) and build scenarios
//
// Revision 1.11  2004/05/02 12:06:02  klaus
// total rebuild of Makefile for KBUILD support for Kernel 2.6
//
// Revision 1.10  2004/04/13 20:33:36  klaus
// FASTSCALE is faster with nearly the same accuracy, use FASTSCALE. obfuscation done.
//
// Revision 1.9  2004/04/13 20:33:35  klaus
// FASTSCALE is faster with nearly the same accuracy, use FASTSCALE. obfuscation done.
//
// Revision 1.8  2004/04/11 22:03:29  klaus
// cosmetic changes
//
// Revision 1.7  2004/04/10 12:25:39  klaus
// merge polished between HEAD and kernel-2.6 branch
//
// Revision 1.6.2.2  2004/04/09 22:56:09  klaus
// parts are usable for kernel 2.2-2.6, last step before join with HEAD
//
// Revision 1.6.2.1  2004/04/09 22:56:09  klaus
// parts are usable for kernel 2.2-2.6, last step before join with HEAD
//
// Revision 1.6  2004/03/04 19:43:55  klaus
// wrong handling of RTR data contents - really -removed
//
// Revision 1.5  2004/03/04 18:51:40  klaus
// wrong handling of RTR data contents removed
//
// Revision 1.4  2003/03/02 12:18:33  klaus
// Release_20030302_?
//
// Revision 1.3  2003/03/02 12:18:33  klaus
// Release_20030302_?
//
// Revision 1.2  2003/03/02 10:46:31  klaus
// merged USB thread into main path
//
// Revision 1.1.2.8  2003/02/24 19:13:01  klaus
// another try with obfuscation
//
// Revision 1.1.2.7  2003/02/24 18:39:16  klaus
// removed Makefile inconsistency
//
// Revision 1.1.2.6  2003/02/23 19:32:10  klaus
// fixed system macro strangeness in cobf processing
//
// Revision 1.1.2.5  2003/02/22 18:19:24  klaus
// small changes
//
// Revision 1.1.2.3  2003/02/22 18:00:08  klaus
// pcan_usb_kernel.c inherits its header from predecessor
//
//****************************************************************************

/* COBF by BB -- obfuscated at Sun Oct 24 23:15:42 2004
*/
#define pcan_l91 typedef
#define pcan_l170 union
#define pcan_c u8
#define pcan_i uc
#define pcan_l44 u32
#define pcan_l41 dw
#define pcan_l43 u16
#define pcan_l95 w
#define pcan_n struct
#define pcan_l105 u64
#define pcan_l29 static
#define pcan_l48 void
#define pcan_p pcandev
#define pcan_b dev
#define pcan_h t
#define pcan_m port
#define pcan_l usb
#define pcan_l75 pvXptr
#define pcan_s DPRINTK
#define pcan_v KERN_DEBUG
#define pcan_o DEVICE_NAME
#define pcan_l144 inline
#define pcan_l50 register
#define pcan_l94 llx
#define pcan_q return
#define pcan_l171 ucStep
#define pcan_e if
#define pcan_l197 get_mtime
#define pcan_l207 pdwInitTime
#define pcan_f int
#define pcan_l66 sizeof
#define pcan_l92 purb_t
#define pcan_l156 purb
#define pcan_l188 context
#define pcan_l206 atomic_sub
#define pcan_l79 active_urbs
#define pcan_l84 atomic_set
#define pcan_l45 param_xmit_finished
#define pcan_u pt
#define pcan_l151 ucPhysicallyInstalled
#define pcan_l163 ENODEV
#define pcan_l131 param_urb
#define pcan_l111 FILL_BULK_URB
#define pcan_l56 usb_dev
#define pcan_l146 usb_sndbulkpipe
#define pcan_l110 Endpoint
#define pcan_l28 ucNumber
#define pcan_l130 timeout
#define pcan_l108 HZ
#define pcan_l114 __usb_submit_urb
#define pcan_l59 KERN_ERR
#define pcan_l47 status
#define pcan_l35 goto
#define pcan_l26 fail
#define pcan_z else
#define pcan_l109 atomic_add
#define pcan_l38 while
#define pcan_l118 atomic_read
#define pcan_l106 schedule
#define pcan_l98 printk
#define pcan_l175 mdelay
#define pcan_l193 usb_rcvbulkpipe
#define pcan_l124 for
#define pcan_l158 ucDeviceNr
#define pcan_l113 ucRevision
#define pcan_l177 EINVAL
#define pcan_l112 ucMsgLen
#define pcan_l143 TPCANRdMsg
#define pcan_t m
#define pcan_l122 dataPacketCounter
#define pcan_k localID
#define pcan_l173 pcan_fifo_claim_for_put
#define pcan_l115 readFifo
#define pcan_l33 Msg
#define pcan_l129 LEN
#define pcan_l54 MSGTYPE
#define pcan_l159 MSGTYPE_RTR
#define pcan_l174 MSGTYPE_STANDARD
#define pcan_l161 MSGTYPE_EXTENDED
#define pcan_l152 ID
#define pcan_l164 dwTime
#define pcan_l65 DATA
#define pcan_l186 bExtended
#define pcan_l203 pcan_fifo_put_reject
#define pcan_l180 pcan_fifo_put
#define pcan_l145 StatusMsg
#define pcan_l181 MSGTYPE_STATUS
#define pcan_l176 switch
#define pcan_l51 case
#define pcan_l61 wCANStatus
#define pcan_l190 CAN_ERR_QOVERRUN
#define pcan_l86 dwErrorCounter
#define pcan_l189 CAN_ERR_BUSOFF
#define pcan_l205 CAN_ERR_BUSHEAVY
#define pcan_l201 CAN_ERR_BUSLIGHT
#define pcan_l57 break
#define pcan_l192 CAN_ERR_QXMTFULL
#define pcan_l182 default
#define pcan_l149 buffer_dump
#define pcan_l200 EFAULT
#define pcan_l184 wake_up_interruptible
#define pcan_l179 read_queue
#define pcan_l121 nMsgCounter
#define pcan_l178 TPCANMsg
#define pcan_l195 pcan_fifo_claim_for_get
#define pcan_l133 writeFifo
#define pcan_l198 ENODATA
#define pcan_l187 nStored
#define pcan_l194 pcan_fifo_get
#define pcan_l204 dwTelegramCount
